# ContentSnapshot

Create a snapshot of your project files' content while respecting ignore patterns.

## Installation

```bash
pip install content-snapshot --index-url https://git.private.coffee/api/packages/kumi/pypi/simple
```

## Usage

### Command Line

```bash
content-snapshot /path/to/your/project
```

### Python API

```python
from content_snapshot import get_files_content_recursively, load_ignore_patterns

directory_path = "/path/to/your/project"
ignore_spec = load_ignore_patterns(directory_path)
snapshot = get_files_content_recursively(directory_path, ignore_spec)
print(snapshot)
```

## Ignore Files

ContentSnapshot respects the following ignore files:
- `.gitignore` - Standard Git ignore patterns
- `.snapshotignore` - Additional patterns specific to ContentSnapshot

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.
